Delete Task Histories

Delete Task Histories
Delete Task History

Delete the history of one or more tasks by ID. Only tasks in a terminal/immutable state (completed successfully or failed non-retriable) can be deleted. Each task is processed independently; the response reports per-task success and failure.

Request
URI
DELETE
https://{api_host}/v1/tasks/history
COPY
Request Body

List of task IDs whose history should be deleted

TaskHistoryDeletionRequest of type(s) application/json
Required  

Show optional properties

{
    "taskIds": [
        {}
    ]
}
{
    "taskIds": [
        "string"
    ]
}
array of string
taskIds
Required  
Constraints: minItems: 1

taskIds

Responses
200

Operation completed. Check 'successful' and 'failed' lists in the response for per-task results.

Returns TaskHistoryDeletionResult of type(s) application/json
{
    "successful": [
        "string"
    ],
    "failed": [
        {
            "taskId": "string",
            "errorCode": "string",
            "message": "string"
        }
    ]
}
array of string
successful
Optional

successful

array of object
failed
Optional

failed


400

Invalid request body (e.g. empty taskIds list).

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

Unexpected error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"taskIds":["string"]}' https://{api_host}/v1/tasks/history